<div class="container">
    <div class="container">
        <h2>
            <span>Form Input Tanda Terima Baru</span>
        </h2>
        <jhi-alert></jhi-alert>
        <div class="ui-g-12" style="background-color: white">
            <div class="ui-g-12">
                <div class="row">
                    <div class="col-md-12">
                        <div class="form-group">
                            <label class="form-control-label" for="nott">No. Tanda Terima</label>
                            <input type="text" [(ngModel)]="nott" class="form-control" (blur)="ceknott()" readonly>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Kode Program Surat</label>
                            <input type="text" class="form-control" id="field_alamat" name="field_pengirim"
                                minlength="1" [(ngModel)]="item.kdprogramX" autofocus="autofocus"
                                (keydown)="onKeyDown($event)"
                                placeholder="Scan Barcode Kode Program Surat atau Ketik Kode Program Surat" [disabled]="isview === true">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Nomor Surat</label>
                            <input type="text" class="form-control" id="field_nomor" name="field_nomor"
                                [(ngModel)]="item.nosrtskg" autofocus="autofocus" placeholder="Nomor Surat" readonly>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">PIC</label>
                            <input type="text" class="form-control" id="field_pic" name="field_pic"
                                [(ngModel)]="item.UserPICklaim" autofocus="autofocus"
                                placeholder="Nama PIC" readonly>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_nmspl">Distributor</label>
                            <input type="text" class="form-control" id="field_dist" name="field_dist"
                            [(ngModel)]="item.cust_name" autofocus="autofocus"
                            placeholder="Nama Distributor" readonly>
                            <input type="hidden" class="form-control" id="field_cust" name="field_cust"
                            [(ngModel)]="item.cust_code" autofocus="autofocus"
                            placeholder="Nomor Surat" readonly>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_noklaimDist">No. Klaim Distributor</label>
                            <input type="text" class="form-control" id="noklaimDist" name="noklaimDist"
                            [(ngModel)]="item.noklaimDist" autofocus="autofocus"
                            placeholder="No Klaim Distributor Distributor" readonly>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_noklaimDist">Tgl. Klaim Distributor</label>
                            <br/>
                            <p-calendar inputId="field_dtStart" name="input_dtStart" [(ngModel)]="item.tglKlaimDist" 
                                            [monthNavigator]="true" 
                                            [yearNavigator]="true" 
                                            yearRange="2000:2999"
                                            dateFormat="dd-mm-yy"
                                            [showTime]="true"
                                            [showIcon]="true"
                                            [disabled] = 'true'>
                                </p-calendar>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_kurir">Kurir</label>
                            <input type="text" class="form-control" id="kurir" name="kurir"
                            [(ngModel)]="item.kurir" autofocus="autofocus"
                            placeholder="Kurir Pengirim Dokumen" [disabled]="isview === true">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-control-label" for="field_kurir">Catatan</label>
                            <input type="text" class="form-control" id="notes" name="notes"
                            [(ngModel)]="item.notes" autofocus="autofocus"
                            placeholder="Catatan" [disabled]="isview === true">
                        </div>
                    </div>
                    <div class="col-md-4" hidden>
                        <div class="form-group">
                            <label class="form-control-label" for="field_kurir">Nomor Urut Surat</label>
                            <input type="text" class="form-control" id="nomorUrut" name="nomorUrut"
                            [(ngModel)]="item.nomorUrut" autofocus="autofocus"
                            placeholder="Nomor Urut Surat" [disabled]="isview === true">
                        </div>
                    </div>
                    <div class="col-md-4" hidden>
                        <div class="form-group">
                            <label class="form-control-label" for="field_kurir">Nomor Urut Surat</label>
                            <input type="text" class="form-control" id="nomor1Urut" name="nomor1Urut"
                            [(ngModel)]="item.noUrSurat" autofocus="autofocus"
                            placeholder="Nomor Urut Surat" [disabled]="isview === true">
                        </div>
                    </div>
                </div>
                <div class="ui-g-12">
                    <div class="ui-g-12">
                        <button style="float: right;" pButton label="Tambah Item"
                            class="ui-button-primary flat-label-button" (click)="tambahBaris()" [disabled]="isview === true"></button>
                    </div>
                    <br>
                    <p-dataTable [value]="items" [editable]="true" [responsive]="true">
                        <p-column header="No">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nourut}}
                            </ng-template>
                        </p-column>
                        <p-column header="Kode Program Surat">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.kdprogramX}}
                            </ng-template>
                        </p-column>
                        <p-column header="Nomor Surat">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.nosrtskg}}
                            </ng-template>
                        </p-column>
                        <p-column header="PIC">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.UserPICklaim}}
                            </ng-template>
                        </p-column>
                        <p-column header="Distributor">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.cust_name}}
                            </ng-template>
                        </p-column>
                        <p-column header="No. Klaim Distributor">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.noklaimDist}}
                            </ng-template>
                        </p-column>
                        <p-column header="Tgl. Klaim Distributor">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.tglKlaimDist | date:'dd/MM/yyyy'}}
                            </ng-template>
                        </p-column>
                        <p-column header="Kurir Pengirim Dokumen">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.kurir}}
                            </ng-template>
                        </p-column>
                        <p-column header="Notes">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                {{rowData.notes}}
                            </ng-template>
                        </p-column>
                        <p-column header="Aksi">
                            <ng-template let-rowData="rowData" pTemplate="body">
                                <button pButton type="submit" (click)="deleteListArray(rowData)"
                                    class="ui-button-danger flat-label-button" icon="fa fa-remove"
                                    pTooltip="Hapus Item" [disabled]="isview === true">
                                </button>
                            </ng-template>
                        </p-column>
                    </p-dataTable>
                </div>
            </div>
        </div>
        <div class="ui-g-12" style="margin-bottom: 100px;">
            <div class="btn-group flex-btn-group-container">
                <button pButton type="submit" label="Simpan" icon="fa-save" class="ui-button-primary flat-label-button"
                    (click)="savett()" [hidden]="isview === true">
                </button>
                <button pButton label="Kembali" class="ui-button-primary flat-label-button" (click)="backMainPage()">
                </button>
            </div>
        </div>
        <br><br><br><br><br><br><br><br><br><br><br><br><br><br>
    </div>
</div>
</div>
</div>
<div style="margin-top: 50px;"></div>
<p-confirmDialog></p-confirmDialog>